## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%bcond check 0
%global debug_package %{nil}

Name:		leancrypto
Version:	1.5.1
Release:	1%{?dist}
Summary:	Cryptographic library with PQC-resistant algorithms

License:	MIT AND (BSD-3-Clause or GPL-2.0-or-later) AND CC0-1.0 AND Apache-2.0 AND (CC0-1.0 OR Apache-2.0) AND ISC AND BSD-2-Clause GPL-2.0-or-later AND GPL-2.0-only AND (GPL-2.0 WITH Linux-syscall-note)
URL:		https://leancrypto.org/
Source0:	https://github.com/smuellerDD/leancrypto/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:	meson

%description
The leancrypto library is a cryptographic library that exclusively contains
only PQC-resistant cryptographic algorithms.


%package devel
Summary:          Development libraries for leancrypto
Requires:         leancrypto%{?_isa} = %{version}-%{release}

%description devel
Header and Library files for doing development with leancrypto.


%prep
%autosetup


%build
%meson -Dascon=disabled -Dascon_keccak=disabled \
        -Dbike_5=disabled -Dbike_3=disabled -Dbike_1=disabled \
        -Dkyber_x25519=disabled -Ddilithium_ed25519=disabled \
        -Dx509_parser=disabled -Dx509_generator=disabled \
        -Dpkcs7_parser=disabled -Dpkcs7_generator=disabled \
        -Dsha2-256=disabled \
        -Dchacha20=disabled -Dchacha20poly1305=disabled \
        -Dchacha20_drng=disabled \
        -Ddrbg_hash=disabled -Ddrbg_hmac=disabled \
        -Dhash_crypt=disabled \
        -Dhmac=disabled -Dhkdf=disabled \
        -Dkdf_ctr=disabled -Dkdf_fb=disabled -Dkdf_dpi=disabled \
        -Dpbkdf2=disabled \
        -Dkmac_drng=disabled -Dcshake_drng=disabled \
        -Dhotp=disabled -Dtotp=disabled \
        -Daes_block=disabled -Daes_cbc=disabled -Daes_ctr=disabled \
        -Daes_kw=disabled -Dapps=disabled \
%if %{with check}
        -Dtests=enabled \
%else
        -Dtests=disabled \
%endif
        %{nil}
%meson_build


%install
%meson_install


%if %{with check}
%check
%meson_test
%endif


%files
%license LICENSE LICENSE.bsd LICENSE.gplv2
%doc README.md README.fips.md
%{_libdir}/libleancrypto-fips.so.*
%{_libdir}/libleancrypto.so.*

%files devel
%{_includedir}/leancrypto.h
%{_includedir}/leancrypto/
%{_libdir}/libleancrypto-fips.a
%{_libdir}/libleancrypto.a
%{_libdir}/libleancrypto-fips.so
%{_libdir}/libleancrypto.so
%{_libdir}/pkgconfig/leancrypto-fips.pc
%{_libdir}/pkgconfig/leancrypto.pc


%changelog
## START: Generated by rpmautospec
* Tue Jul 22 2025 John Doe <packager@example.com> - 1.5.1-1
- Uncommitted changes
## END: Generated by rpmautospec
